> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 调起支付组件验证接口

> 调起支付组件签名验证接口。

## 概述

本页说明 `POST /payment/open/institution/v1/pay/open/sdk` 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。

调起支付组件验证接口

## 说明

* 认证方式使用 GatePay 标准签名请求头。
* 本页展示同一接口的机构路径版本。
* 除创建子账户、查询子账户详情、分页查询子账户外，机构侧请求需携带 `X-GatePay-On-Behalf-Of`。
* 通用签名规则请参见 [/api-reference/version/100/cn/common/securityAndSignature](/api-reference/version/100/cn/common/securityAndSignature)。


## OpenAPI

````yaml api-reference/version/100/cn/openapi/institution/call-payment-openapi.json POST /payment/open/institution/v1/pay/open/sdk
openapi: 3.1.0
info:
  title: GatePay 机构调起支付 API
  description: >-
    适用于商户在移动端APP中集成Gate Pay支付功能


    商户APP调用Gate Pay提供的SDK调用Gate Pay支付模块，商户APP会跳转到 Gate
    APP中完成支付，支付完后跳回到商户APP内，最后展示支付结果。


    目前支持手机系统有：IOS（苹果）、Android（安卓）。


    交互细节如下：


    步骤1：用户进入商户APP，选择商品下单、确认购买，进入支付环节。商户服务后台生成支付订单，签名后将数据传输到APP端。


    步骤2：用户点击后发起支付操作，进入到Gate 界面，调起Gate Pay支付，出现确认支付界面。


    步骤3：用户确认收款方和金额，点击立即支付后出现输入密码界面。


    步骤4：输入正确密码后，支付完成，现支付结果页面。


    步骤5：回跳到商户APP中，商户APP根据支付结果个性化展示订单处理结果
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://openplatform.gateapi.io
security: []
paths:
  /payment/open/institution/v1/pay/open/sdk:
    post:
      summary: 调起支付组件验证接口
      description: 调起支付组件签名验证接口。
      operationId: openPaySdk
      parameters:
        - $ref: '#/components/parameters/X-GatePay-Certificate-ClientId'
        - $ref: '#/components/parameters/X-GatePay-Signature'
        - $ref: '#/components/parameters/X-GatePay-Timestamp'
        - $ref: '#/components/parameters/X-GatePay-Nonce'
        - $ref: '#/components/parameters/X-GatePay-On-Behalf-Of'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenSdkRequest'
            example:
              prepayid: '50620368071692288'
              package_ext: ext
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              example:
                status: SUCCESS
                code: '000000'
                errorMessage: ''
                data:
                  prepayid: '50620368071692288'
components:
  parameters:
    X-GatePay-Certificate-ClientId:
      name: X-GatePay-Certificate-ClientId
      in: header
      required: true
      description: 商户客户端 ID，在 GatePay 平台申请获取
      schema:
        type: string
        example: 4186d0c6-6a35-55a9-8dc6-5312769dbff8
    X-GatePay-Signature:
      name: X-GatePay-Signature
      in: header
      required: true
      description: 用于请求校验的 HMAC-SHA256 签名
      schema:
        type: string
        example: >-
          672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77
    X-GatePay-Timestamp:
      name: X-GatePay-Timestamp
      in: header
      required: true
      description: 毫秒级时间戳，与服务端时间偏差不得超过 5 分钟
      schema:
        type: string
        example: '1672905655498'
    X-GatePay-Nonce:
      name: X-GatePay-Nonce
      in: header
      required: true
      description: 随机 nonce，用于防止重放攻击
      schema:
        type: string
        example: '9578'
    X-GatePay-On-Behalf-Of:
      name: X-GatePay-On-Behalf-Of
      in: header
      required: true
      schema:
        type: string
      description: >-
        必填代理归属请求头。请填写本次请求的发起方账户 ID；在机构代理商户 API 中通常填写目标子账户 ID，在机构代扣与划转接口中可填写机构账户
        ID 或子账户 ID。
  schemas:
    OpenSdkRequest:
      type: object
      required:
        - prepayid
        - package_ext
      properties:
        prepayid:
          type: string
          description: 预订单ID
        package_ext:
          type: string
          description: 订单详情扩展字符串
    ApiResponse:
      type: object
      properties:
        status:
          type: string
          description: 请求状态
        code:
          type: string
          description: 响应码
        errorMessage:
          type: string
          description: 错误信息

````